#ifndef __LOGREADER_H
#define __LOGREADER_H

#include <iostream>
#include <fstream>
#include <string>
#include "common.h"
#include "Containers.h"
#include "LogReader.h"



namespace GtpVisibilityPreprocessor 
{


struct ViewCellInfo
{
	int mPiercingRays;
};

typedef std::vector<ViewCellInfo> ViewCellInfoContainer;
typedef std::map<int, ViewCellInfoContainer *> ViewCellHistoryContainer;


/*struct ViewCellHistory;
{
}*/

class LogReader
{
	void SetFilename(const std::string &filename);

	/** Reads the info for several #samples.
	*/
	void Read(ViewCellHistoryContainer &history);
	/** Reads the viewcells info after specific #samples.
	*/
	void Read(const int numSamples, ViewCellInfoContainer &infos);


protected:

	std::string mFilename;
};

}

#endif